Subject: Re: bug#38197: 26.3; File opened by find-file appears in other window

From: martin rudalics <[email-masked]>
Date: Thu, 14 Nov 2019 10:58:57 +0100

> I have examined the problem some more and it turned out to be on my
 > side. In a futile attempt to prevent gud-gdb from splitting my gdb
 > window to show the source file when there is a perfectly good window
 > beside it I had modified display-buffer-alist, and when execute this
 > setting in a clean (-Q) emacs the problem start
 > appearing. Apparently pop-to-buffer-same-window and switch-to-buffer
 > handle this setting differently.

Maybe we should look a bit deeper into this.  In the thread on
Bug#37840 we are discussing a similar issue.

martin